Welcome to SafeMail

SafeMail is a backup and restore tool for Outlook Express. It allows you to backup your address book, mail and news folders, mail accounts, message rules, signatures, stationery, blocked senders list, and all personal settings. Viruses, software failures, or power outages can destroy your Outlook Express and all your email. SafeMail helps you secure your Outlook Express: in the event of a crash, SafeMail will bring it back to life in no time! SafeMail can also help you to transfer all your Outlook Express data from one computer to another, even with different versions of Windows and/or Outlook Express (for example from Outlook Express 5.5 to Outlook Express 6.0 or vice versa).

Features of SafeMail

· supports:
· Windows 95/98/Me/NT4/2000/XP.
· MS Outlook Express 5.00 *, 5.01, 5.5 or 6.0.
· allows you to perform complete or selective backup and restore of:
· Identities
· Email and newsgroup messages (with attachments)
· Folders structure
· Email and news accounts
· Windows Address Book
· Settings and options
· Message rules
· Junk email lists
· Signatures
· Stationary
· Favourites folder.
· uses a friendly wizard-like style of backup and restore that makes it extremely easy to use.
· backups are stored in an industry standard ZIP format (compatible with WinZip), which can be optionally password protected for increased privacy and security.
· backups that exceed 2 gigabytes are stored in a standard ZIP64 format. new
· spanning of backup files over multiple volumes. new
· support of custom backup scenarios - profiles. new
· optionally backups can be created as a standalone restorer executables that will allow you to perform restoration without having to install SafeMail first.
· ability to set the mode of operation from the command line makes it possible to automate tasks (eg. periodic backup can be automatically performed if you add appropriate entry into your favourite scheduller)

* if you are using MS Outlook Express 5.00, you can only restore backups made on the exact same version.

You may wish to upgrade your MS Outlook Express to either version 5.01 or to the latest version available:

Internet Explorer 5.01 Service Pack 2
http://www.microsoft.com/downloads/details.aspx?familyid=9FA0B9BD-FB2C-45D2-A58C-4102F1952B99&displaylang=en

The Latest Version of Internet Explorer (includes Outlook Express 6.0)
http://www.microsoft.com/windows/ie/downloads/default.asp


Backup Steps

The entire backup process consists of the following steps:

Choose what to backup

At this step you have to decide which identities and respective items you are going to backup. The estimated size of the backup is displayed beneath the list of items to backup. (screenshot)

Enter backup filename

Now you should decide where to place the backup file and how to name it. For your convenience, SafeMail suggests the file name based on current date and places it in your "My Documents" folder (when run for the first time) or in the same folder where you placed your previous backup.

Here you can choose to protect your backup file with password: tick the Protect with password checkbox and enter the password twice into provided fields. Standard ZIP encryption will be used. For increased security it is recommended to use passwords longer than 6 - 8 characters consisting of letters in both lower and upper case and digits. But don't forget your password -- you will not be able to restore data from backup without specifying the correct password!

You may want to store the resulting backup on multiple disks. In order to split the file click Span the backup file over multiple volumes and choose the size of one volume from the list. You may also specify a custom size in kilobytes. Please note that the size must be entered as a number. No symbols other than digits are allowed.

When splitting the backup file it is sometimes desirable to save volumes to a hard drive prior to moving them to a removable medium. If free space on the hard drive is scarce make use of Pause before each volume option. This will allow you to suspend backing up on each new volume, so that you can move the last volume to a disk, thus freeing space for the next one.

Tick the Create a standalone restorer executable to create the backup that will be able to restore by itself without the necessity of having SafeMail installed on the machine where restore will be performed. Choosing this option will add some insignificant overhead to the size of the resulting backup file. (screenshot)

If you currently have Outlook Express running you will be prompted to close it. Since there may be some changes that Outlook Express is keeping in memory and has not yet stored to disk, it is recommended to close Outlook Express before performing the backup. Ignoring this warning may possibly cause incomplete or inconsistent backup. (screenshot)

Ready to backup

Everything is ready for the backup to be performed. Review the information you have entered carefully and click Next to proceed with backup. Last chance to click Back and change something before the task commences. (screenshot)

Backup progress

Now the task is in the progress: no further input from you is necessary. You can switch over to other applications and let the wizard do its work in the background. You will be notified when the backup process is finished. Or just sit back and watch the progress bar move. The wizard provides you with the estimation of time remaining till completion. (screenshot)

Backup complete

The backup is complete. Now, for your convenience, the wizard can open Windows Explorer at the location where the backup file is stored (so you can, for example, easily proceed with copying it to removable media of your choice) and launch Outlook Express (so you can continue to work with it). (screenshot)


Restore Steps

Restore process consists of the following steps:

Select file to restore from

Choose backup file to restore from. For you convenience, the file containing your last backup will be suggested by default. (screenshot)

Choose identities to restore

If either your backup or Outlook Express has more than one identity you will be prompted to choose which identities from backup you want to restore and into which existing identities to place the data. Note: you have to create all the identities manually in Outlook Express before performing restore operation. (screenshot)

Choose what to restore

At this step you should decide which items from which identities to restore. By default, all items in your backup will be restored. However you can choose to do a partial restore. (screenshot)

If you currently have Outlook Express running you will be prompted to close it. The task can not be performed if Outlook Express is running, so you will not be able to proceed unless Outlook Express is closed. (screenshot)

Ready to restore

Everything is ready for the restore to be performed. Review the information you have entered carefully and click Next to proceed with restore. Last chance to click Back and change something before the task commences. Important: any changes made since the last backup to those items you are going to restore now will be lost. (screenshot)

Restore progress

Now the task is in progress: no further input from you is necessary. You can switch to other applications and let the wizard do its work in the background. You will be notified when the restore process is finished. Or just sit back and watch the progress bar move. The wizard provides you with the estimation of time remaining till completion. (screenshot)

Restore process complete

The restore process is complete. Now, for your convenience, the wizard can launch Outlook Express if you choose so. (screenshot)


Command Line Usage (Advanced)

SafeMail can be controlled from the command line: if you pass it something it does not recognize as a valid command (eg. "/?"), you will be supplied with the following description of the command line parameters it accepts.

cmdline

SafeMail can be automatically called by means of schedulers or various batch files, or just anything else that can execute programs.

You could, for example, set you scheduler to execute the following command line:

"c:\Program Files\QWhale\SafeMail\SafeMail.exe" b -f "d:\Mail Backups"

on every Friday evening -- and have yourself a fully automated weekly backup set up.

Please note, that some schedulers, including the Scheduled Tasks in Windows 2000/XP, may have troubles with passing command line parameters to the programs they are executing. As a workaround, you can create a batch file that calls SafeMail and add that batch file to the scheduler. The at command line based scheduler does not have this limitation.


How to Buy SafeMail

This software is distributed on a Try Before You Buy basis, so it is absolutely free for download and evaluation. You can also share it with friends and colleagues.

Trial version becomes registered when you enter a registration key, so you don't need to download anything else.

The registered users of SafeMail receive the following benefits:

· free updates for all minor and major releases of SafeMail during one year;
· free lifetime technical support (via email)
· discounts on other products by Quantum Whale.

How to buy

The evaluation version is fully functional except that it will only backup the first 10 folders for each identity. If you like the program and decide to keep it, you will need to purchase a registration key. You can purchase it by credit card either on-line or by FAX/Phone/Mail Order, money orders or checks are also accepted. (Check www.qwhale.com/order.html for details).


.topic 10
SafeMail is a backup and restore tool for Outlook Express. It allows you to backup your address book, mail and news folders, mail accounts, message rules, signatures, stationery, blocked senders list, and all personal settings. Viruses, software failures, or power outages can destroy your Outlook Express and all your email. SafeMail helps you secure your Outlook Express: in the event of a crash, SafeMail will bring it back to life in no time! SafeMail can also help you to transfer all your Outlook Express data from one computer to another, even with different versions of Windows and/or Outlook Express (for example from Outlook Express 5.5 to Outlook Express 6.0 or vice versa).

Features of SafeMail

supports:
Windows 95/98/Me/NT4/2000/XP.
MS Outlook Express 5.00 *, 5.01, 5.5 or 6.0.
allows you to perform complete or selective backup and restore of:
Identities
Email and newsgroup messages (with attachments)
Folders structure
Email and news accounts
Windows Address Book
Settings and options
Message rules
Junk email lists
Signatures
Stationary
Favourites folder.
uses a friendly wizard-like style of backup and restore that makes it extremely easy to use.
backups are stored in an industry standard ZIP format (compatible with WinZip), which can be optionally password protected for increased privacy and security.
backups that exceed 2 gigabytes are stored in a standard ZIP64 format. new
spanning of backup files over multiple volumes. new
support of custom backup scenarios - profiles. new
optionally backups can be created as a standalone restorer executables that will allow you to perform restoration without having to install SafeMail first.
ability to set the mode of operation from the command line makes it possible to automate tasks (eg. periodic backup can be automatically performed if you add appropriate entry into your favourite scheduller)

* if you are using MS Outlook Express 5.00, you can only restore backups made on the exact same version.

You may wish to upgrade your MS Outlook Express to either version 5.01 or to the latest version available:

Internet Explorer 5.01 Service Pack 2
  http://www.microsoft.com/downloads/details.aspx?familyid=9FA0B9BD-FB2C-45D2-A58C-4102F1952B99&displaylang=en

The Latest Version of Internet Explorer (includes Outlook Express 6.0)
  http://www.microsoft.com/windows/ie/downloads/default.asp

.topic 30
At this step you have to decide which identities and respective items you are going to backup. The estimated size of the backup is displayed beneath the list of items to backup.

.topic 40
Now you should decide where to place the backup file and how to name it. For your convenience, SafeMail suggests the file name based on current date and places it in your "My Documents" folder (when run for the first time) or in the same folder where you placed your previous backup.

Here you can choose to protect your backup file with password: tick the Protect with Password checkbox and enter the password twice into provided fields. Standard ZIP encryption will be used. For increased security it is recommended to use passwords longer than 6 - 8 characters consisting of letters in both lower and upper case and digits. But don't forget your password -- you will not be able to restore data from backup without specifying the correct password!

You may want to store the resulting backup on multiple disks. In order to split the file click Span the backup file over multiple volumes and choose the size of one volume from the list. You may also specify a custom size in kilobytes. Please note that the size must be entered as a number. No symbols other than digits are allowed.

When splitting the backup file it is sometimes desirable to save volumes to a hard drive prior to moving them to a removable medium. If free space on the hard drive is scarce make use of Pause before each volume option. This will allow you to suspend backing up on each new volume, so that you can move the last volume to a disk, thus freeing space for the next one.

Tick the Create a standalone restorer executable to create the backup that will be able to restore by itself without the necessity of having SafeMail installed on the machine where restore will be performed. Choosing this option will add some insignificant overhead to the size of the resulting backup file.

.topic 50
Everything is ready for the backup to be performed. Review the information you have entered carefully and click Next to proceed with backup. Last chance to click Back and change something before the task commences.

.topic 60
Now the task is in the progress: no further input from you is necessary. You can switch over to other applications and let the wizard do its work in the background. You will be notified when the backup process is finished. Or just sit back and watch the progress bar move. The wizard provides you with the estimation of time remaining till completion.

.topic 130
The backup is complete. Now, for your convenience, the wizard can open Windows Explorer at the location where the backup file is stored (so you can, for example, easily proceed with copying it to removable media of your choice) and launch Outlook Express (so you can continue to work with it).

.topic 70
Choose backup file to restore from. For you convenience, the file containing your last backup will be suggested by default.

.topic 80
Either your backup or Outlook Express has more than one identity: you are be prompted to choose which identities from backup you want to restore and into which existing identities to place the data. Note: you have to create all the identities manually in Outlook Express before performing restore operation.

.topic 90
At this step you should decide which items from which identities to restore. By default, all items in your backup will be restored. However you can choose to do a partial restore.

.topic 95
Everything is ready for the restore to be performed. Review the information you have entered carefully and click Next to proceed with restore. Last chance to click Back and change something before the task commences. Important: any changes made since the last backup to those items you are going to restore now will be lost.

.topic 140
The restore process is complete. Now, for your convenience, the wizard can launch Outlook Express if you choose so.

.topic 100
Now the task is in progress: no further input from you is necessary. You can switch to other applications and let the wizard do its work in the background. You will be notified when the restore process is finished. Or just sit back and watch the progress bar move. The wizard provides you with the estimation of time remaining till completion.

.topic 20
Choose the action (backup or restore) for the wizard to perform.

Picking up a profile from the list will restore all settings that were saved under this profile last time. If you want to create a new profile just type in its name in the edit box. After commencing the backup its settings will be saved under this new profile. SafeMail will add this new profile to the list on startup next time.

.topic 110
Outlook Express is currently running. Since there may be some changes that Outlook Express is keeping in memory and has not yet stored to disk, it is recommended to close Outlook Express before performing the backup. Ignoring this warning may possibly cause incomplete or inconsistent backup.

.topic 120
Outlook Express is currently running. The task can not be performed if Outlook Express is running, so you will not be able to proceed unless Outlook Express is closed.


Choose Operation

 Choose the action (backup or restore) for the wizard to perform.

Picking up a profile from the list will restore all settings that were saved under this profile last time. If you want to create a new profile just type in its name in the edit box. After commencing the backup its settings will be saved under this new profile. SafeMail will add this new profile to the list on startup next time.


Select What To Backup

 At this step you have to decide which identities and respective items you are going to backup. The estimated size of the backup is displayed beneath the list of items to backup.


Enter Backup Filename

 Now you should decide where to place the backup file and how to name it. For your convenience, SafeMail suggests the file name based on current date and places it in your "My Documents" folder (when run for the first time) or in the same folder where you placed your previous backup.

Here you can choose to protect your backup file with password: tick the Protect with Password checkbox and enter the password twice into provided fields. Standard ZIP encryption will be used. For increased security it is recommended to use passwords longer than 6 - 8 characters consisting of letters in both lower and upper case and digits. But don't forget your password -- you will not be able to restore data from backup without specifying the correct password!

You may want to store the resulting backup on multiple disks. In order to split the file click Span the backup file over multiple volumes and choose the size of one volume from the list. You may also specify a custom size in kilobytes. Please note that the size must be entered as a number. No symbols other than digits are allowed.

When splitting the backup file it is sometimes desirable to save volumes to a hard drive prior to moving them to a removable medium. If free space on the hard drive is scarce make use of Pause before each volume option. This will allow you to suspend backing up on each new volume, so that you can move the last volume to a disk, thus freeing space for the next one.

Tick the Create a standalone restorer executable to create the backup that will be able to restore by itself without the necessity of having SafeMail installed on the machine where restore will be performed. Choosing this option will add some insignificant overhead to the size of the resulting backup file.


Ready To Backup

 Everything is ready for the backup to be performed. Review the information you have entered carefully and click Next to proceed with backup. Last chance to click Back and change something before the task commences.


Backup Progress

 Now the task is in the progress: no further input from you is necessary. You can switch over to other applications and let the wizard do its work in the background. You will be notified when the backup process is finished. Or just sit back and watch the progress bar move. The wizard provides you with the estimation of time remaining till completion.


Select File to Restore From

 Choose backup file to restore from. For you convenience, the file containing your last backup will be suggested by default.


Where to Store Identities

 Either your backup or Outlook Express has more than one identity: you are be prompted to choose which identities from backup you want to restore and into which existing identities to place the data. Note: you have to create all the identities manually in Outlook Express before performing restore operation.


Select What to Restore

 At this step you should decide which items from which identities to restore. By default, all items in your backup will be restored. However you can choose to do a partial restore.


Ready To Restore

 Everything is ready for the restore to be performed. Review the information you have entered carefully and click Next to proceed with restore. Last chance to click Back and change something before the task commences. Important: any changes made since the last backup to those items you are going to restore now will be lost.


Restore Progress

 Now the task is in progress: no further input from you is necessary. You can switch to other applications and let the wizard do its work in the background. You will be notified when the restore process is finished. Or just sit back and watch the progress bar move. The wizard provides you with the estimation of time remaining till completion.


Is OE Running? Backup

 Outlook Express is currently running. Since there may be some changes that Outlook Express is keeping in memory and has not yet stored to disk, it is recommended to close Outlook Express before performing the backup. Ignoring this warning may possibly cause incomplete or inconsistent backup.


Is OE Running? Restore

 Outlook Express is currently running. The task can not be performed if Outlook Express is running, so you will not be able to proceed unless Outlook Express is closed.


Backup Complete

 The backup is complete. Now, for your convenience, the wizard can open Windows Explorer at the location where the backup file is stored (so you can, for example, easily proceed with copying it to removable media of your choice) and launch Outlook Express (so you can continue to work with it).


Restore Complete

 The restore process is complete. Now, for your convenience, the wizard can launch Outlook Express if you choose so.